nfsoft_plan_ Struct Reference
Collaboration diagram for nfsoft_plan_:
[legend]

## Data Fields

NFFT_INT | N_total
| Total number of Fourier coefficients. More...
NFFT_INT | M_total
| Total number of samples. More...
fftw_complex * | f_hat
| Fourier coefficients. More...
fftw_complex * | f
| Samples. More...
void(* | mv_trafo )(void *)
| Transform. More...
void(* | mv_adjoint )(void *)
| Adjoint transform. More...
double * | x
| input nodes
fftw_complex * | wig_coeffs
| deprecated variable
fftw_complex * | cheby
| deprecated variable
fftw_complex * | aux
| deprecated variable
int | t
| the logarithm of NPT with respect to the basis 2
unsigned int | flags
| the planner flags
nfft_plan | p_nfft
| the internal NFFT plan
fpt_set * | internal_fpt_set
| the internal FPT plan
int | nthreads
| the number of threads

## Detailed Description

Definition at line 684 of file nfft3.h.

## Field Documentation

NFFT_INT nfsoft_plan_::N_total

Total number of Fourier coefficients.

Definition at line 684 of file nfft3.h.

Referenced by nfsoft_adjoint(), nfsoft_init_guru_advanced(), and nfsoft_trafo().

NFFT_INT nfsoft_plan_::M_total

Total number of samples.

Definition at line 684 of file nfft3.h.

Referenced by nfsoft_adjoint(), nfsoft_init_guru_advanced(), nfsoft_precompute(), and nfsoft_trafo().

fftw_complex* nfsoft_plan_::f_hat

Fourier coefficients.

Definition at line 684 of file nfft3.h.

Referenced by nfsoft_adjoint(), nfsoft_finalize(), nfsoft_init_guru_advanced(), and nfsoft_trafo().

fftw_complex* nfsoft_plan_::f

Samples.

Definition at line 684 of file nfft3.h.

Referenced by nfsoft_adjoint(), nfsoft_finalize(), nfsoft_init_guru_advanced(), and nfsoft_trafo().

void(* nfsoft_plan_::mv_trafo) (void *)

Transform.

Definition at line 684 of file nfft3.h.

Referenced by nfsoft_init_guru_advanced().

void(* nfsoft_plan_::mv_adjoint) (void *)

Adjoint transform.

Definition at line 684 of file nfft3.h.

Referenced by nfsoft_init_guru_advanced().

The documentation for this struct was generated from the following file:

- nfft3.h